summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2010-07-08 23:33:06 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2010-07-08 23:33:06 +0300
commitf48bbd4c9d85b1c40c077088732ed1591b43f6fa (patch)
tree65d6f11f18a6a818b84a6b6e9e51eea8ef0b2ce7
parent2f87289e141da3aed27d964b9df0eb7e74a3ba41 (diff)
new file: net-im/pidgin-facebookchat/pidgin-facebookchat-1.67-r1.ebuild
-rw-r--r--net-im/pidgin-facebookchat/pidgin-facebookchat-1.67-r1.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/net-im/pidgin-facebookchat/pidgin-facebookchat-1.67-r1.ebuild b/net-im/pidgin-facebookchat/pidgin-facebookchat-1.67-r1.ebuild
new file mode 100644
index 0000000..0744496
--- /dev/null
+++ b/net-im/pidgin-facebookchat/pidgin-facebookchat-1.67-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/pidgin-facebookchat/pidgin-facebookchat-1.67.ebuild,v 1.1 2010/06/04 14:38:08 voyageur Exp $
+
+inherit toolchain-funcs multilib
+
+DESCRIPTION="Facebook chat plugin for libpurple"
+HOMEPAGE="http://code.google.com/p/pidgin-facebookchat/"
+
+_PN=""
+_PV="1.67"
+
+SRC_URI="http://pidgin-facebookchat.googlecode.com/files/${_PN}-source-${_PV}-1.tar.bz2"
+LICENSE="GPL-3"
+
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND=">=dev-libs/json-glib-0.7.6
+ net-libs/libpurple"
+DEPEND="dev-util/pkgconfig
+ ${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ ewarn "This plugin is not mandatory anymore for Facebook chat"
+ ewarn "as it is now available via XMPP, see:"
+ ewarn "http://blog.facebook.com/blog.php?post=297991732130"
+ ewarn "You can still use this plugin for extra features if you want"
+ ewarn "Future versions will use XMPP and provide these features at the same time"
+}
+
+src_compile() {
+ # Grabbed from makefile
+ FACEBOOK_SOURCES="libfacebook.c fb_blist.c fb_connection.c fb_conversation.c fb_friendlist.c fb_info.c fb_json.c fb_managefriends.c fb_messages.c fb_notifications.c fb_search.c fb_util.c"
+ $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} `pkg-config --cflags purple json-glib-1.0` \
+ -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -shared -fPIC -DPIC \
+ ${FACEBOOK_SOURCES} `pkg-config --libs json-glib-1.0` \
+ -o libfacebook.so || die "compilation failed"
+}
+
+src_install() {
+ exeinto /usr/$(get_libdir)/purple-2
+ doexe libfacebook.so
+ for size in 16 22 48; do
+ insinto /usr/share/pixmaps/pidgin/protocols/${size}
+ newins facebook${size}.png facebook.png
+ done
+}